=== debian/changelog ===
ros-crystal-system-modes-examples (0.1.3-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Arne Nordmann <arne.nordmann@bosch.com>  Mon, 03 Jun 2019 09:23:40 -0000
