=== debian/control ===
Source: ros-crystal-system-modes-examples
Section: misc
Priority: extra
Maintainer: Arne Nordmann <arne.nordmann@bosch.com>
Build-Depends: debhelper (>= 9.0.0), libboost-program-options-dev, ros-crystal-ament-cmake, ros-crystal-rclcpp, ros-crystal-rclcpp-lifecycle, ros-crystal-system-modes, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-system-modes-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-program-options-dev, ros-crystal-rclcpp, ros-crystal-rclcpp-lifecycle, ros-crystal-system-modes, ros-crystal-ros-workspace
Description: Simple example system for system_modes package.
